# Performance Obligations

Group: Accounting

[Open in the interactive reference](https://docs.api.lensing.ai/lensing/v1/groups/accountingPerformanceObligations)

A performance obligation is something a legal entity has promised to deliver, and the basis for allocating and scheduling its revenue.

## Endpoints

- [List performance obligations](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/performanceObligations.html): `GET /accounting/performance-obligations`
- [Search performance obligations](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/searchPerformanceObligation.html): `POST /accounting/performance-obligations/search`
- [Retrieve a performance obligation](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/getPerformanceObligation.html): `GET /accounting/performance-obligations/{id}`
- [List a performance obligation's products](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/listPerformanceObligationProducts.html): `GET /accounting/performance-obligations/{id}/products`
